CREATE TABLE fun_wf_conditions (
    CONDITION_ID             NUMBER(18, 0) ,
    PATTERN_ID               NUMBER(18, 0)     NOT NULL,
    PARENT_CONDITION_ID      NUMBER(18, 0) ,
    CONDITION_ORDER          VARCHAR2(1024)    NOT NULL,
    LEFT_EXPRESSION          VARCHAR2(4000)    NOT NULL,
    CONDITION_OPERATOR       VARCHAR2(1024)    NOT NULL,
    RIGHT_EXPRESSION         VARCHAR2(4000)    NOT NULL,
    CONNECTIVE_OPERATOR      VARCHAR2(256) ,
    FORM_CODE                VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    RULE_ID                  NUMBER(18, 0) ,
    CONDITION_TYPE_CODE      VARCHAR2(120) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONDITION_ID             NUMBER(18, 0) ,
    PATTERN_ID               NUMBER(18, 0)     NOT NULL,
    PARENT_CONDITION_ID      NUMBER(18, 0) ,
    CONDITION_ORDER          VARCHAR2(1024)    NOT NULL,
    LEFT_EXPRESSION          VARCHAR2(4000)    NOT NULL,
    CONDITION_OPERATOR       VARCHAR2(1024)    NOT NULL,
    RIGHT_EXPRESSION         VARCHAR2(4000)    NOT NULL,
    CONNECTIVE_OPERATOR      VARCHAR2(256) ,
    FORM_CODE                VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RULE_ID                  NUMBER(18, 0) ,
    CONDITION_TYPE_CODE      VARCHAR2(120) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_wf_conditions PRIMARY KEY (CONDITION_ID, CONDITION_ID)
);
